Problema installazione driver ati via one-click

5 risposte [Ultimo messaggio]
Ritratto di Michelasso
Michelasso
(Junior)
Offline
Junior
Iscritto: 08/05/2008
Messaggi: 9

Ciao a tutti,
ho da poco installato la beta 2 di opensuse sul mio laptop, che monta una scheda grafica Ati Mobility Radeon X700, e volevo quindi provare ad installare i driver per essa seguendo la procedura one-click descritta qui:
http://en.opensuse.org/Howto/ATI_Driver

Tuttavia l'installazione fallisce in seguito ad una dipendenza non soddisfatta/conflitto; il file conflicts.txt che ho salvato riporta questo:

#### YaST2 conflicts list - generated 2008-05-08 13:55:11 ####

nothing provides kernel)drivers_char_agp) = 7c6d74d742eddb23 needed by ati-fglrxG01-kmp-bigsmp-8.40.4_2.6.22.9_0.4-1.i586

[ ] do not install x11-video-fglrxG01-8.47.3-1.1.i586

#### YaST2 conflicts list END ###

Qualcuno sa darmi un suggerimento per risolvere?

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Beta 2? Quindi opensuse 11?

In questo caso, non credo siano gia` disponibili i driver ufficiali attraverso one click (infatti quelli che cerchi di installare sono relativi al kernel 2.6.22, ormai aggiornato anche per la 10.3).

Pertanto, credo che per installare i driver ufficiali, tu debba passare dall'installer, seguendo la guida contenuta in questo sito.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di Michelasso
Michelasso
(Junior)
Offline
Junior
Iscritto: 08/05/2008
Messaggi: 9

Quote:

orion ha scritto:
Beta 2? Quindi opensuse 11?

In questo caso, non credo siano gia` disponibili i driver ufficiali attraverso one click (infatti quelli che cerchi di installare sono relativi al kernel 2.6.22, ormai aggiornato anche per la 10.3).

Ok, ho installato alla fine la 10.3, con la beta 2 della 11 avevo troppi piccoli problemini (compreso questo) a cui al momento non ho tempo da dedicare. Ho quindi installato i driver fglrx via one-click, e tutto è andato ok. Solo che non riesco ad abilitare gli effetti desktop in kde4 (installato anche quello via one-click), in quanto mi viene detto che le estensioni Xcomposite e Xdamage non sono presenti. Vorrei capire se è solo un problema di configurazione di xorg.conf (ma con sax2 non ho trovato modo di abilitare tali estensioni, e anzi, mi ha detto che non è in grado di abilitare gli effetti 3d, anche se da flgrxinfo sembra tutto ok) o se c'è qualcos'altro.

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Non uso kde4, ma controlla in /etc/X11/xorg.conf che dentro la section Extensions ci siano le due righe Option &quot;DAMAGE&quot; &quot;true&quot;<br />Option &quot;Composite&quot; &quot;true&quot;

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di Michelasso
Michelasso
(Junior)
Offline
Junior
Iscritto: 08/05/2008
Messaggi: 9

Quote:

orion ha scritto:
Non uso kde4, ma controlla in /etc/X11/xorg.conf che dentro la section Extensions ci siano le due righe Option &quot;DAMAGE&quot; &quot;true&quot;<br />Option &quot;Composite&quot; &quot;true&quot;

Grazie, ho modificato il mio xorg.conf seguendo il tuo suggerimento e poi seguendo quanto scritto nel link in fondo alla guida presente in questo sito (http://www.suseitalia.org/modules/wfsection/article.php?articleid=156)
e ha funzionato. Quello che mi chiedevo era come mai tali linee non fossero state aggunte automaticamente in fase di installazione del driver fglrx.

Ritratto di AL9000
AL9000
(Guru)
Offline
Guru
Iscritto: 29/10/2005
Messaggi: 1277

Son contento che le mie guide ogni tanto siano utili a qualcuno
Quote:

Quello che mi chiedevo era come mai tali linee non fossero state aggunte automaticamente in fase di installazione del driver fglrx.

Semplicemente perchè lo xorg di default non ha il supporto integrato per il desktop 3D che, per quanto stabile possa essere, non è ancora perfettamente integrato con il server grafico di default.
E poi, in questo modo, si da la possibilità all'utente di decidere se abilitare o meno quegli effetti: magari uno non se ne fa niente e vuole solo un sistema "granitico", stabile al 100%

Ciao

Chi è investito di un'autorità si trasformerà inevitabilmente, secondo una legge sociale immutabile, in un oppressore ed in uno sfruttatore della società. (M.A. Bakunin)